using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

namespace Departamentos
{


    /// <summary>
    /// Esta clase simula la capa de negocios
    /// permite obtener departamentos por grupos y
    /// los grupos, accediendo a la base de datos 
    /// mediante la clase "Acceso a Datos" que simula
    /// ser una DAL (capa de datos)
    /// </summary>
    public class CapaDeNegocio
    {
        //Constructor
        public CapaDeNegocio()
        {
       
        }


        public List<Departamento> ObtenerDepartamentosPorGrupo(string grupo)
        {
            //Definir y agregar reglas de negocio
            AccesoDatos ad = new AccesoDatos();
            return ad.ObtenerDepartamentos(grupo);
        }

        public int ModificarDepartamento(int departamenoId, string nombre, string grupo, DateTime fechaModificacion)
        {
            //TODO: Agregar el codigo para modificar datos.
            return 0;
        }
        
        public List<string> ObtenerGrupos()
        {
            AccesoDatos ad = new AccesoDatos();
            return ad.ObtenerGrupos();
        }

    }
}